Bug 976526 - variable name/package location value in ISO installer seems bogus
variable name/package location value in ISO installer seems bogus
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Jason Montleon
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 14:14 EDT by Corey Welton
Modified: 2014-04-24 13:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:07:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2013-06-20 14:14:39 EDT
Description of problem:

ISO installer script has the line 
PACAKGES_DIR = os.path.join(PWD, "Packags")


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. open install_packages from ISO in editor
2. search for "PACAKGES"

Actual results:
A misspelled variable and presumably a misspelled filepath

Expected results:
Correct spelling -- although this variable doesn't seem to actually be referenced anywhere else in the script.  Probably just remove the line completely.

Additional info:
Satellite-6.0.1-RHEL-6-20130531.1-Satellite-x86_64-dvd1.iso
Comment 2 Bryan Kearney 2013-09-23 10:18:45 EDT
https://github.com/Katello/katello-misc/pull/19
Comment 3 Ivan Necas 2013-10-15 09:25:05 EDT
Merged in https://github.com/Katello/katello-misc/pull/19
Comment 6 Corey Welton 2013-10-21 16:16:59 EDT
Strangely enough, I don't see this having made its way into latest iso.

[cwelton@localhost Downloads]$ sudo mount -o loop Satellite-6.0.2-RHEL-6-20131017.1-Satellite-x86_64-dvd1.iso /tmp/foo
[cwelton@localhost Downloads]$ cd /tmp/foo
[cwelton@localhost foo]$ grep "PACAK" install_packages 
PACAKGES_DIR = os.path.join(PWD, "Packags")
Comment 7 Mike McCune 2013-10-21 23:36:12 EDT
Jason, 

mind digging into why this fix didn't make it into the ISO?
Comment 8 Jason Montleon 2013-10-22 08:57:24 EDT
I think I see why this happened. In the conf file section for generating the iso it was looking at the old old 6.0.1 branch. It has been updated.
Comment 10 Sachin Ghai 2013-10-24 06:36:59 EDT
Verified with MDP2 Snap7.

Now the variable is correctly spelled in install_packages file.


[root@perceptor ~]# mount -o loop Satellite-6.0.2-RHEL-6-20131023.1-Satellite-x86_64-dvd1.iso /mnt
[root@perceptor ~]# cd /mnt/
[root@perceptor mnt]# ll
total 71
-r-xr-xr-x. 1 root root  4469 Oct 23 13:41 install_packages
dr-xr-xr-x. 2 root root 61440 Oct 23 13:41 Packages
-r--r--r--. 1 root root   519 Oct 23 13:41 README
dr-xr-xr-x. 2 root root  4096 Oct 23 13:41 repodata
-r--r--r--. 1 root root   888 Oct 23 13:41 TRANS.TBL

[root@perceptor mnt]# grep PACK  install_packages 
ISO_PACKAGE_DIR = os.path.join(PWD, "Packages")
if (not os.path.exists(ISO_PACKAGE_DIR)):
    for f in os.listdir(ISO_PACKAGE_DIR):

[root@perceptor mnt]# grep "PACAK" install_packages
Comment 11 Bryan Kearney 2014-04-24 13:07:12 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.